List Files
curl --request GET \
--url https://api.edenai.run/v3/upload \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.edenai.run/v3/upload"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.edenai.run/v3/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "2025-12-08T10:30:00Z",
"expires_at": "2026-01-07T10:30:00Z",
"file_id": "550e8400-e29b-41d4-a716-446655440000",
"file_mimetype": "application/pdf",
"file_name": "invoice.pdf",
"file_size": 1048576,
"metadata": {
"page_count": 5
},
"purpose": "general"
}
],
"limit": 100,
"page": 1,
"total": 25,
"total_pages": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}files management
List Files
List uploaded files for the authenticated user.
Optionally filter by purpose. Only returns non-expired files. Results are ordered by creation date (newest first).
GET
/
v3
/
upload
List Files
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by purpose
Maximum string length:
50Page number (1-indexed)
Required range:
x >= 1Maximum number of items per page
Required range:
1 <= x <= 1000Response
Successful Response
Was this page helpful?